Page MenuHomePhabricator

Buttons in the toolbar should be actual tools
Closed, ResolvedPublic

Description

This would mean VE could drop its hacky support for buttons in toolbars.

Details

Related Gerrit Patches:
mediawiki/core : masterUpdate OOUI to v0.32.0
oojs/ui : master[BREAKING CHANGE] Toolbar: Remove support for non-tool buttons
mediawiki/core : masterUpdate OOUI to v0.31.4
mediawiki/extensions/VisualEditor : masterReplace the save button with a save tool
mediawiki/extensions/ContentTranslation : masterConvert publish button to a tool
oojs/ui : masterSupport flagged buttons in the toolbar

Event Timeline

…instead of links? Is this Accessibility related?

Instead of OO.ui.ButtonWidget's.

Volker_E moved this task from Backlog to Next-up on the OOUI board.Feb 2 2018, 2:17 AM

Also the even hackier button groups with tool groups in toolbars: T189338

Change 497846 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] WIP: Support flagged buttons in the toolbar

https://gerrit.wikimedia.org/r/497846

Esanders claimed this task.Mar 28 2019, 4:16 PM
Esanders removed Esanders as the assignee of this task.
Esanders claimed this task.Mar 28 2019, 6:19 PM
Volker_E moved this task from Next-up to Reviewing on the OOUI board.Apr 3 2019, 3:09 AM

Change 497846 merged by jenkins-bot:
[oojs/ui@master] Support flagged buttons in the toolbar

https://gerrit.wikimedia.org/r/497846

Change 504214 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Replace the save button with a save tool

https://gerrit.wikimedia.org/r/504214

Change 504473 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.31.4

https://gerrit.wikimedia.org/r/504473

Change 504473 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.31.4

https://gerrit.wikimedia.org/r/504473

Volker_E moved this task from Reviewing to OOUI-0.31.4 on the OOUI board.Apr 17 2019, 5:18 AM
Volker_E edited projects, added OOUI (OOUI-0.31.4); removed OOUI.
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.

Change 506402 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/ContentTranslation@master] Convert publish button to a tool

https://gerrit.wikimedia.org/r/506402

Change 506402 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Convert publish button to a tool

https://gerrit.wikimedia.org/r/506402

Change 504214 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Replace the save button with a save tool

https://gerrit.wikimedia.org/r/504214

This is implemented in OOUI, and fixed in VE and CX which are the only users.

We can now remove the button-in-toolbar CSS hacks.

Change 508954 had a related patch set uploaded (by Esanders; owner: Esanders):
[oojs/ui@master] Remove button-in-toolbar code

https://gerrit.wikimedia.org/r/508954

Change 508954 merged by jenkins-bot:
[oojs/ui@master] [BREAKING CHANGE] Toolbar: Remove support for non-tool buttons

https://gerrit.wikimedia.org/r/508954

Change 513020 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.32.0

https://gerrit.wikimedia.org/r/513020

Change 513020 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.32.0

https://gerrit.wikimedia.org/r/513020

Jdforrester-WMF closed this task as Resolved.May 29 2019, 3:06 PM